var axlocalizationobjco = {
    // separator of parts of a date (e.g. '/' in 11/05/1955)
    '/': "/",
    // separator of parts of a time (e.g. ':' in 05:44 PM)
    ':': ":",
    // the first day of the week (0 = Sunday, 1 = Monday, etc)
    firstDay: 0,
    days: {
        // full day names
        names: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
        // abbreviated day names
        namesAbbr: ["Dom", "Lun", "Mar", "Mie", "Jue", "Vie", "Sad"],
        // shortest day names
        namesShort: ["Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sa"]
    },
    months: {
        // full month names (13 months for lunar calendards -- 13th month should be "" if not lunar)
        names: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre", ""],
        // abbreviated month names
        namesAbbr: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic", ""]
    },
    // AM and PM designators in one of these forms:
    // The usual view, and the upper and lower case versions
    //      [standard,lowercase,uppercase]
    // The culture does not use AM or PM (likely all standard date formats use 24 hour time)
    //      null
    AM: ["AM", "am", "AM"],
    PM: ["PM", "pm", "PM"],
    eras: [
    // eras in reverse chronological order.
    // name: the name of the era in this culture (e.g. A.D., C.E.)
    // start: when the era starts in ticks (gregorian, gmt), null if it is the earliest supported era.
    // offset: offset in years from gregorian calendar
    {"name": "d.D.", "start": null, "offset": 0 }
],
    twoDigitYearMax: 2029,
    patterns: {
        // short date pattern
        d: "yyyy/MM/dd",
        // long date pattern
        D: "dddd, MMMM dd, yyyy",
        // short time pattern
        t: "h:mm tt",
        // long time pattern
        T: "h:mm:ss tt",
        // long date, short time pattern
        f: "dddd, MMMM dd, yyyy h:mm tt",
        // long date, long time pattern
        F: "dddd, MMMM dd, yyyy h:mm:ss tt",
        // month/day pattern
        M: "MMMM dd",
        // month/year pattern
        Y: "yyyy MMMM",
        // S is a sortable format that does not vary by culture
        S: "yyyy\u0027-\u0027MM\u0027-\u0027dd\u0027T\u0027HH\u0027:\u0027mm\u0027:\u0027ss"
    },
    percentsymbol: "%",
    currencysymbol: "$",
    currencysymbolposition: "before",
    decimalseparator: '.',
    thousandsseparator: ',',
    pagergotopagestring: "Ir a página:", //"Go to page:",
    pagershowrowsstring: "Mostrar registros:", //"Show rows:",
    pagerrangestring: " de ", //" of ",
    pagerpreviousbuttonstring: "anterior", //"previous",
    pagernextbuttonstring: "siguiente", //"next",
    groupsheaderstring: "Arrastre una columna y suéltela aquí para agrupar por esa columna", //"Drag a column and drop it here to group by that column",
    sortascendingstring: "Orden Ascendente", //"Sort Ascending",
    sortdescendingstring: "Orden Descendente", //"Sort Descending",
    sortremovestring: "Quitar Orden", //"Remove Sort",
    groupbystring: "Agrupar por esta columna", //"Group By this column",
    groupremovestring: "Quitar del agrupamiento", //"Remove from groups",
    filterclearstring: "Limpiar", //"Clear",
    filterstring: "Filtrar", //"Filter",
    filtershowrowstring: "Mostrar registros donde:", //"Show rows where:",
    filterorconditionstring: "O", //"Or",
    filterandconditionstring: "Y", //"And",
    filterselectallstring: "(Seleccionar Todo)", //"(Select All)",
    filterchoosestring: "Por favor escoja:", //"Please Choose:",
	//    filterstringcomparisonoperators: ['empty', 'not empty', 'contains', 'contains(match case)',
	//        'does not contain', 'does not contain(match case)', 'starts with', 'starts with(match case)',
	//        'ends with', 'ends with(match case)', 'equal', 'equal(match case)', 'null', 'not null'],
	filterstringcomparisonoperators: ['vacío', 'no vacío', 'contiene', 'contiene(coincidir mayúsculas y minúsculas)','no contiene', 'no contiene(coincidir mayúsculas y minúsculas)', 'empieza con', 'empieza con(coincidir mayúsculas y minúsculas)','finaliza con', 'finaliza con(coincidir mayúsculas y minúsculas)', 'igual', 'igual(coincidir mayúsculas y minúsculas)', 'nulo', 'no nulo'],
    //	filternumericcomparisonoperators: ['equal', 'not equal', 'less than', 'less than or equal', 'greater than', 'greater than or equal', 'null', 'not null'],
    filternumericcomparisonoperators: ['igual', 'no igual', 'menor que', 'menor o igual que', 'mayor que', 'mayor o igual que', 'nulo', 'no nulo'],
    //	filterdatecomparisonoperators: ['equal', 'not equal', 'less than', 'less than or equal', 'greater than', 'greater than or equal', 'null', 'not null'],
    filterdatecomparisonoperators: ['igual', 'no igual', 'menor que', 'menor o igual que', 'mayor que', 'mayor o igual que', 'nulo', 'no nulo'],
    //	filterbooleancomparisonoperators: ['equal', 'not equal'],
    filterbooleancomparisonoperators: ['igual', 'no igual'],
    validationstring: "El valor ingresado no es válido", //"Entered value is not valid",
    emptydatastring: "No hay datos para mostrar", //"No data to display",
    filterselectstring: "Seleccione un filtro", //"Select Filter",
    loadtext: "Cargando...", //"Loading...",
    clearstring: "Limpiar", //"Clear",
    todaystring: "Hoy" //"Today"
};